• Category Archives Windows 10
  • ESXi Customizer and Windows 10 Fix

    u8x7co8

    ESXi-Customizer is a great tool to add vibs and custom drivers to a VMware ESXi installation. I had to do this for my lab for the Network interface drivers which I blogged about with instructions here.

    From the product page:

    ESXi-Customizer is a user-friendly script that automates the process of customizing the ESXi install-ISO with drivers that are not originally included. Unlike other scripts and manuals that are available for this purpose ESXi-Customizer runs entirely on Windows and does not require any knowledge of or access to Linux

    I recently went to use the ESXi Customizer as I am doing updates and refreshes of my lab (more on that later) and like many folks out there I have already taken the plunge into Windows 10 (actually have been running Win 10 Enterprise since Jan 2015).

    I got the following error message.

    Error: “!– FATAL ERROR: Unsupported Windows Version: 10.0. At least Windows XP is required!”

    Luckily there is an easy fix.  The ESXi-Customizer is a .cmd file which is easily editable so I did a search in Notepad++ (Great tool, go get it.)

    Resolution: Add a REM at the beginning of line 260 as follows. This will eliminate the Operating System check as it fails on Windows 10

    REM if “!WinVer!” LSS “5.1” call :earlyFatal Unsupported Windows Version: !WinVer!. At least Windows XP is required & exit /b 1

    Voila!! That’s it. It worked great in my lab (and according to folks from twitter)